package com.sinosig.client.external.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;
import java.io.Serializable;
import java.math.BigDecimal;
import com.sinosig.core.client.model.ICPXH;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 接口实体[CPXH] 对象
 */
public class CPXHImpl implements ICPXH,Serializable{

    /**
     * AB类
     */
    public String ABL;

    @JsonIgnore
    public boolean ABLDirtyFlag;
    
    /**
     * AB类
     */
    public String CLLXMS;

    @JsonIgnore
    public boolean CLLXMSDirtyFlag;
    
    /**
     * 
     */
    public BigDecimal CLSJJZ;

    @JsonIgnore
    public boolean CLSJJZDirtyFlag;
    
    /**
     * 标识
     */
    public String CPXHID;

    @JsonIgnore
    public boolean CPXHIDDirtyFlag;
    
    /**
     * 标识
     */
    public String CPXHName;

    @JsonIgnore
    public boolean CPXHNameDirtyFlag;
    
    /**
     * AB类
     */
    public String DYCPXH;

    @JsonIgnore
    public boolean DYCPXHDirtyFlag;
    
    /**
     * 
     */
    public Double GL;

    @JsonIgnore
    public boolean GLDirtyFlag;
    
    /**
     * 
     */
    public Integer HDZK;

    @JsonIgnore
    public boolean HDZKDirtyFlag;
    
    /**
     * 
     */
    public Double HDZZL;

    @JsonIgnore
    public boolean HDZZLDirtyFlag;
    
    /**
     * 
     */
    public Double PL;

    @JsonIgnore
    public boolean PLDirtyFlag;
    
    /**
     * 
     */
    public BigDecimal XCGZJ;

    @JsonIgnore
    public boolean XCGZJDirtyFlag;
    
    /**
     * 
     */
    public Double ZBZL;

    @JsonIgnore
    public boolean ZBZLDirtyFlag;
    
    /**
     * 获取 [AB类]
     */
    @JsonProperty("abl")
    public String getABL(){
        return ABL ;
    }

    /**
     * 设置 [AB类]
     */
    @JsonProperty("abl")
    public void setABL(String  aBL){
        this.ABL = aBL ;
        this.ABLDirtyFlag = true ;
    }

     /**
     * 获取 [AB类]脏标记
     */
    @JsonIgnore
    public boolean getABLDirtyFlag(){
        return ABLDirtyFlag ;
    }   

    /**
     * 获取 [AB类]
     */
    @JsonProperty("cllxms")
    public String getCLLXMS(){
        return CLLXMS ;
    }

    /**
     * 设置 [AB类]
     */
    @JsonProperty("cllxms")
    public void setCLLXMS(String  cLLXMS){
        this.CLLXMS = cLLXMS ;
        this.CLLXMSDirtyFlag = true ;
    }

     /**
     * 获取 [AB类]脏标记
     */
    @JsonIgnore
    public boolean getCLLXMSDirtyFlag(){
        return CLLXMSDirtyFlag ;
    }   

    /**
     * 获取 []
     */
    @JsonProperty("clsjjz")
    public BigDecimal getCLSJJZ(){
        return CLSJJZ ;
    }

    /**
     * 设置 []
     */
    @JsonProperty("clsjjz")
    public void setCLSJJZ(BigDecimal  cLSJJZ){
        this.CLSJJZ = cLSJJZ ;
        this.CLSJJZDirtyFlag = true ;
    }

     /**
     * 获取 []脏标记
     */
    @JsonIgnore
    public boolean getCLSJJZDirtyFlag(){
        return CLSJJZDirtyFlag ;
    }   

    /**
     * 获取 [标识]
     */
    @JsonProperty("cpxhid")
    public String getCPXHID(){
        return CPXHID ;
    }

    /**
     * 设置 [标识]
     */
    @JsonProperty("cpxhid")
    public void setCPXHID(String  cPXHID){
        this.CPXHID = cPXHID ;
        this.CPXHIDDirtyFlag = true ;
    }

     /**
     * 获取 [标识]脏标记
     */
    @JsonIgnore
    public boolean getCPXHIDDirtyFlag(){
        return CPXHIDDirtyFlag ;
    }   

    /**
     * 获取 [标识]
     */
    @JsonProperty("cpxhname")
    public String getCPXHName(){
        return CPXHName ;
    }

    /**
     * 设置 [标识]
     */
    @JsonProperty("cpxhname")
    public void setCPXHName(String  cPXHName){
        this.CPXHName = cPXHName ;
        this.CPXHNameDirtyFlag = true ;
    }

     /**
     * 获取 [标识]脏标记
     */
    @JsonIgnore
    public boolean getCPXHNameDirtyFlag(){
        return CPXHNameDirtyFlag ;
    }   

    /**
     * 获取 [AB类]
     */
    @JsonProperty("dycpxh")
    public String getDYCPXH(){
        return DYCPXH ;
    }

    /**
     * 设置 [AB类]
     */
    @JsonProperty("dycpxh")
    public void setDYCPXH(String  dYCPXH){
        this.DYCPXH = dYCPXH ;
        this.DYCPXHDirtyFlag = true ;
    }

     /**
     * 获取 [AB类]脏标记
     */
    @JsonIgnore
    public boolean getDYCPXHDirtyFlag(){
        return DYCPXHDirtyFlag ;
    }   

    /**
     * 获取 []
     */
    @JsonProperty("gl")
    public Double getGL(){
        return GL ;
    }

    /**
     * 设置 []
     */
    @JsonProperty("gl")
    public void setGL(Double  gL){
        this.GL = gL ;
        this.GLDirtyFlag = true ;
    }

     /**
     * 获取 []脏标记
     */
    @JsonIgnore
    public boolean getGLDirtyFlag(){
        return GLDirtyFlag ;
    }   

    /**
     * 获取 []
     */
    @JsonProperty("hdzk")
    public Integer getHDZK(){
        return HDZK ;
    }

    /**
     * 设置 []
     */
    @JsonProperty("hdzk")
    public void setHDZK(Integer  hDZK){
        this.HDZK = hDZK ;
        this.HDZKDirtyFlag = true ;
    }

     /**
     * 获取 []脏标记
     */
    @JsonIgnore
    public boolean getHDZKDirtyFlag(){
        return HDZKDirtyFlag ;
    }   

    /**
     * 获取 []
     */
    @JsonProperty("hdzzl")
    public Double getHDZZL(){
        return HDZZL ;
    }

    /**
     * 设置 []
     */
    @JsonProperty("hdzzl")
    public void setHDZZL(Double  hDZZL){
        this.HDZZL = hDZZL ;
        this.HDZZLDirtyFlag = true ;
    }

     /**
     * 获取 []脏标记
     */
    @JsonIgnore
    public boolean getHDZZLDirtyFlag(){
        return HDZZLDirtyFlag ;
    }   

    /**
     * 获取 []
     */
    @JsonProperty("pl")
    public Double getPL(){
        return PL ;
    }

    /**
     * 设置 []
     */
    @JsonProperty("pl")
    public void setPL(Double  pL){
        this.PL = pL ;
        this.PLDirtyFlag = true ;
    }

     /**
     * 获取 []脏标记
     */
    @JsonIgnore
    public boolean getPLDirtyFlag(){
        return PLDirtyFlag ;
    }   

    /**
     * 获取 []
     */
    @JsonProperty("xcgzj")
    public BigDecimal getXCGZJ(){
        return XCGZJ ;
    }

    /**
     * 设置 []
     */
    @JsonProperty("xcgzj")
    public void setXCGZJ(BigDecimal  xCGZJ){
        this.XCGZJ = xCGZJ ;
        this.XCGZJDirtyFlag = true ;
    }

     /**
     * 获取 []脏标记
     */
    @JsonIgnore
    public boolean getXCGZJDirtyFlag(){
        return XCGZJDirtyFlag ;
    }   

    /**
     * 获取 []
     */
    @JsonProperty("zbzl")
    public Double getZBZL(){
        return ZBZL ;
    }

    /**
     * 设置 []
     */
    @JsonProperty("zbzl")
    public void setZBZL(Double  zBZL){
        this.ZBZL = zBZL ;
        this.ZBZLDirtyFlag = true ;
    }

     /**
     * 获取 []脏标记
     */
    @JsonIgnore
    public boolean getZBZLDirtyFlag(){
        return ZBZLDirtyFlag ;
    }   

}
